Unit SysDD; {                                          SYSDD.PAS
----------  }
{$N+}
{$E+}

{Uses No Other Unit}


Interface {
--------- }

{ ----------------------- Global System Data Design ------------------------}


Var
  IOCode : Integer;    {Stores value of IOResult, to see if I/O was ok}
  Prefix : String[15]; {DX Station Prefix}
  First_Ltr_Prefix : String[1]; {Need test first ltr in USSR case}
  Country: String[50]; {DX Country}
  B,                   {Other Station Latitude}
  L2 : Double;         {Other Station Longitude}
  Not_Found : Boolean;
  MyYear,              {All These for generating local time and date}
  MyMonth,
  MyDay,
  MyDayOfWeek : Word;
  MyMonthStr,
  MyDayOfWeekStr : String[3];

                    {Set to Your Local Time in Unit FindTime}
  YourMinute,
  YourSecond,
  YourSec100  : Word;      {Other stations local hour}

  Your_Time_Corr,
  Adj_Time_Corr,                   {Your Time correction adjusted for DST}
  Other_Stn_Time_Corr : ShortInt;  {Time correction from UTC to Local}

  OtherHour,
  UTCHour,
  YourHour : ShortInt;     { YourHour set to integer type for computations}


Implementation {
-------------- }

{No Procedures}


End. {Unit SysDD}