Unit GetInfo1; {                                      GetInfo1.pas
------------- }


{$N+}
{$E+}


Interface {
--------- }
Uses CRT,SysDD;

Procedure Get_DX_Info1;

Implementation {
-------------- }

Procedure Get_DX_Info1;


Begin {Get_DX_Info1}
Not_Found := False; {Initialize}

If      Prefix = 'A2' Then   {DX Prefix MUST be entered in CAPS here}
               Begin
               B  := -22;                   {DX Latitude}
               L2 := -24;                   {DX Longitude}
               Country := 'Botswana';       {DX Country}
               Other_Stn_Time_Corr := 2;    {DX Time Correction}
               End
Else If Prefix = 'A3' Then
               Begin
               B  := -20;
               L2 := 175;
               Country := 'Tonga Isl.';
               Other_Stn_Time_Corr := 13;
               End
Else If Prefix = 'A4' Then
               Begin
               B  := 22;
               L2 := -58;
               Country := 'Oman';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'A5'  Then
               Begin
               B  := 27.5;
               L2 := -90.1;
               Country := '*Bhutan';      {* = Add 1/2 Hour}
               Other_Stn_Time_Corr := 6;
               End
Else If Prefix = 'A6' Then
               Begin
               B  := 24;
               L2 := -56 ;
               Country := 'United Arab Emirates ';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'A7' Then
               Begin
               B  := 25;
               L2 := -51.2;
               Country := 'Qatar';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'A9' Then
               Begin
               B  := 26;
               L2 := -50.5;
               Country := 'Bahrain';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'AP'     Then
               Begin
               B  := 30;
               L2 := -70;
               Country := 'Pakistan';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'BV' Then
               Begin
               B  := 23.5;
               L2 := -121;
               Country := 'Taiwan ';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'BY' Then
               Begin
               B  := 39.9;
               L2 := -116.4;
               Country := 'China';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'C2'Then
               Begin
               B  := -0.5 ;
               L2 := -167.9;
               Country := '*Nauru';
               Other_Stn_Time_Corr := 11;
               End
Else If Prefix = 'C3' Then
               Begin
               B  := 42.5;
               L2 := -1.5;
               Country := 'Andorra';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix =  'C5' Then
               Begin
               B  := 13.4 ;
               L2 := 16;
               Country := 'The Gambia';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'C6' Then
               Begin
               B  := 24.25;
               L2 := 76;
               Country := 'Bahamas';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'C9'Then
               Begin
               B  := -18;
               L2 := -36;
               Country := 'Mozambique';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'CE' Then
               Begin
               B  := -30;
               L2 := 71;
               Country := 'Chile ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'CE0A' Then
               Begin
               B  := -27.1;
               L2 := 109.3;
               Country := 'Easter Isl.';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'CE0X' Then
               Begin
               B  := -26.3;
               L2 := 80.1;
               Country := 'San Felix';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'CE0Z' Then
               Begin
               B  := -33;
               L2 :=  80;
               Country := 'Juan Fernandez';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'CO' Then
               Begin
               B  := 21.5;
               L2 := 80;
               Country := 'Cuba';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CN' Then
               Begin
               B  := 32;
               L2 := 5.8;
               Country := 'Morocco';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CP' Then
               Begin
               B  := -17;
               L2 :=  65;
               Country := 'Bolivia';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'CR3' Then
               Begin
               B  := 12;
               L2 := 15;
               Country := 'Guine Bissau';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CR9' Then
               Begin
               B  := 22.15;
               L2 := -113.6;
               Country := 'Macao';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'CT' Then
               Begin
               B  := 39.5;
               L2 := 8;
               Country := 'Portugal';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CT2' Then
               Begin
               B  := 38.5;
               L2 := 28;
               Country := 'Azores';
               Other_Stn_Time_Corr := -1;
               End
Else If Prefix = 'CT3' Then
               Begin
               B  := 32.7;
               L2 := 17;
               Country := 'Madeira';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CX' Then
               Begin
               B  := -33;
               L2 := 56;
               Country := 'Uruguay';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'D2' Then
               Begin
               B  := -12.5;
               L2 := -18.5;
               Country := 'Angola';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'D3' Then
               Begin
               B  := -12.5;
               L2 := -18.5;
               Country := 'Angola';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'D4' Then
               Begin
               B  := 16;
               L2 := 24;
               Country := 'Cape Verde Isl.';
               Other_Stn_Time_Corr := -1;
               End
Else If Prefix = 'D6' Then
               Begin
               B  := -12.2;
               L2 := -44.3;
               Country := 'Comoros Isl.';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'DA' Then
               Begin
               B  := 51;
               L2 := -9;
               Country := 'Federal Republic of Germany | DA-DP';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'Y' Then
               Begin
               B  := 52;
               L2 := -12.3;
               Country := 'German Democratic Republic |Y2-9,DM,DT';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'DU' Then
               Begin
               B  := 12.5;
               L2 := -123;
               Country := 'Philippines';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'EA' Then
               Begin
               B  := 40;
               L2 := 4;
               Country := 'Spain';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'EA6' Then
               Begin
               B  := 39.5;
               L2 := -3;
               Country := 'Balearic Isl.';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'EA8' Then
               Begin
               B  := 28;
               L2 := 15.5;
               Country := 'Canary Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'EA9' Then
               Begin
               B  := 23.75;
               L2 := 15.78;
               Country := 'Rio De Oro | Melilla & Cueta at 35.3, 2.98';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'EI' Then
               Begin
               B  := 53;
               L2 := 8;
               Country := 'Ireland';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'EL' Then
               Begin
               B  := 6;
               L2 := 10;
               Country := 'Liberia';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'EP' Then
               Begin
               B  := 32;
               L2 := -53;
               Country := '*Iran';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'ET' Then
               Begin
               B  := 9;
               L2 := -41;
               Country := 'Ethiopia';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'F' Then
               Begin
               B  := 46;
               L2 := -2;
               Country := 'France';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'FB8W' Then
               Begin
               B  := -46;
               L2 := -52;
               Country := 'Crozet Isl.';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FB8X' Then
               Begin
               B  := -49.3;
               L2 := -69.2;
               Country := 'Kerguelen Isl.';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'FB8Z' Then
               Begin
               B  := -37.8;
               L2 := -77.5;
               Country := 'Amsterdam & St Paul Isl.';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'FC' Then
               Begin
               B  := 42;
               L2 := -9;
               Country := 'Corsica';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'FG' Then
               Begin
               B  := 16.2;
               L2 := 61.6;
               Country := 'Guadeloupe | Saint Martin 18.1,63.1';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'FH' Then
               Begin
               B  := -12.2;
               L2 := -44.3;
               Country := 'Mayotte';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FK' Then
               Begin
               B  := -22.3;
               L2 := -166.5;
               Country := 'New Caledonia';
               Other_Stn_Time_Corr := 11;
               End
Else If Prefix = 'FM' Then
               Begin
               B  := 14.7;
               L2 := 61;
               Country := 'Martinique';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'FO' Then
               Begin
               B  := -17.5;
               L2 := 149.6;
               Country := 'French Oceania | Clipperton at 10.3,109.2 ';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'FP' Then
               Begin
               B  := 46.7;
               L2 := 52.35;
               Country := 'St Pierre & Miquelon Isl.';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'FR' Then
               Begin
               B  := -17.1;
               L2 := -42.8;
               Country := 'Juan De Nova|Glorioso -11,-48 Reunion -21.1,-55.6';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FS'Then
               Begin
               B  := 18.1;
               L2 := 63.1;
               Country := 'St. Martin | also FG';
               Other_Stn_Time_Corr := 4;
               End


Else If Prefix = 'FW' Then
               Begin
               B  := -14;
               L2 := 177;
               Country := 'Wallis & Futuna';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'FY' Then
               Begin
               B  := 4;
               L2 := 53;
               Country := 'Fr. Guiana';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'G' Then
               Begin
               B  := 51.5;
               L2 := 1.5;
               Country := 'England';
               Other_Stn_Time_Corr := 0 ;
               End
Else If Prefix = 'GD' Then
               Begin
               B  := 54.2;
               L2 := 4.5;
               Country := 'Isle of Man';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GI' Then
               Begin
               B  := 54.6;
               L2 := 6.8;
               Country := 'Northern Ireland';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GJ' Then
               Begin
               B  := 49.5;
               L2 := 2.6;
               Country := 'Jersey';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GC' Then
               Begin
               B  := 49.5;
               L2 := 2.6;
               Country := 'Jersey (also  see GU)';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GM' Then
               Begin
               B  := 57;
               L2 := 4;
               Country := 'Scotland';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GU' Then
               Begin
               B  := 49.3;
               L2 := 2.2;
               Country := 'Guernsey & Dep.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'GW' Then
               Begin
               B  := 52.5;
               L2 := 3.5;
               Country := 'Wales';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'H4' Then
               Begin
               B  := -8;
               L2 := -159;
               Country := 'Solomon Isl.';
               Other_Stn_Time_Corr := 11;
               End
Else If Prefix = 'VR4' Then
               Begin
               B  := -8;
               L2 := -159;
               Country := 'Solomon Isl.' ;
               Other_Stn_Time_Corr := 11;
               End
Else If Prefix = 'HA' Then
               Begin
               B  := 47;
               L2 := -20;
               Country := 'Hungary';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'HB' Then
               Begin
               B  := 46;
               L2 := -8.5;
               Country := 'Switzerland';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'HB0' Then
               Begin
               B  := 48.4;
               L2 := -9.25;
               Country := 'Liechtenstein';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'HC' Then
               Begin
               B  := -2;
               L2 := 77.5;
               Country := 'Ecuador';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HC8' Then
               Begin
               B  := -0.5;
               L2 := 90.5;
               Country := 'Galapagos';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HH' Then
               Begin
               B  := 19;
               L2 := 72.4;
               Country := 'Haiti';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HI' Then
               Begin
               B  := 19;
               L2 := 70.7;
               Country := 'Dominican Republic';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'HK' Then
               Begin
               B  := 4;
               L2 := 72;
               Country := 'Colombia';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HK0' Then
               Begin
               B  := 16;
               L2 := 79;
               Country := 'Bajo Nuevo|Malpelo 4,81.6|San Andres 13.4,81.4';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'HL' Then
               Begin
               B  := 37.5;
               L2 := -126.9;
               Country := 'Korea | also HM';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'HP' Then
               Begin
               B  := 9;
               L2 := 80;
               Country := 'Panama';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HR' Then
               Begin
               B  := 15;
               L2 := 86.5;
               Country := 'Honduras';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'HS' Then
               Begin
               B  := 15;
               L2 := -100;
               Country := 'Thailand';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'HV' Then
               Begin
               B  := 41.9;
               L2 := -12.45;
               Country := 'Vatican City';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'HZ' Then
               Begin
               B  := 25;
               L2 := -45;
               Country := 'Saudi Arabia | also 7Z';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'I' Then
               Begin
               B  := 42.8;
               L2 := -12.8;
               Country := 'Italy | also IT';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'IS' Then
               Begin
               B  := 40;
               L2 := -9;
               Country := 'Sardinia';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'J2' Then
               Begin
               B  := 11.6;
               L2 := -43.2;
               Country := 'Djibouti';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FL8' Then
               Begin
               B  := 11.6;
               L2 := -43.2;
               Country := 'Djibouti';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'J3' Then
               Begin
               B  := 12.1;
               L2 := 61.7;
               Country := 'Grenada';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2G' Then
               Begin
               B  := 12.1;
               L2 := 61.7;
               Country := 'Grenada';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'JA' Then
               Begin
               B  := 36;
               L2 := -138;
               Country := 'Japan (JA - JS)';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'JD' Then
               Begin
               B  := 27;
               L2 := -142.2;
               Country := 'Ogasawara & Minami Torishima & Okino Torishima';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'JT' Then
               Begin
               B  := 47.9;
               L2 := -106.9;
               Country := 'Mongolia';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'JW' Then
               Begin
               B  := 78;
               L2 := -20;
               Country := 'Svalbard';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'JX' Then
               Begin
               B  := 71;
               L2 := -8.3;
               Country := 'Jan Mayen';
               Other_Stn_Time_Corr := -1;
               End
Else If Prefix = 'JY' Then
               Begin
               B  := 31;
               L2 := -36;
               Country := 'Jordan';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'K1' Then
               Begin
               B  := 41.7;
               L2 := 71.5;
               Country := 'Rhode Island';
               End
Else If Prefix = 'K2' Then
               Begin
               B  := 42.9;
               L2 := 75.5;
               Country := 'New York';
               End
Else If Prefix = 'K3' Then
               Begin
               B  := 41;
               L2 := 78;
               Country := 'Penn';
               End
Else If Prefix = 'K4' Then
               Begin
               B  := 28.5;
               L2 := 82;
               Country := 'Florida';
               End
Else If Prefix = 'K5' Then
               Begin
               B  := 32;
               L2 := 98;
               Country := 'Texas';
               End
Else If Prefix = 'K6' Then
               Begin
               B  := 37;
               L2 := 120;
               Country := 'California';
               End
Else If Prefix = 'K7' Then
               Begin
               B  := 47;
               L2 := 120;
               Country := 'Washington' ;
               End
Else If Prefix = 'K8' Then
               Begin
               B  := 40;
               L2 := 82.5;
               Country := 'Ohio';
               End
Else If Prefix = 'K9' Then
               Begin
               B  := 40;
               L2 := 89;
               Country := 'Ill' ;
               End
Else If Prefix = 'K0' Then
               Begin
               B  := 42;
               L2 := 94;
               Country := 'Iowa';
               End
Else If Prefix = 'KB6' Then
               Begin
               B  := 0.3;
               L2 := 176.5;
               Country := 'Baker & Phoenix Isl.';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KH1' Then
               Begin
               B  := 0.3;
               L2 := 176.5;
               Country := 'Baker & Phoenix Isl.';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KC4' Then
               Begin
               B  := 18.4;
               L2 := 75;
               Country := 'Navassa Isl.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'KP1' Then
               Begin
               B  := 18.4;
               L2 := 75;
               Country := 'Navassa Isl.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'KC6' Then
               Begin
               B  := 8;
               L2 := -145;
               Country := 'E. Caroline Isl. | West Caroline 8, -135';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'KG4' Then
               Begin
               B  := 20;
               L2 := 70.15;
               Country := 'Guantanamo';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'KG6' Then
               Begin
               B  := 13.45;
               L2 := -144.8;
               Country := 'Guam';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'KH2' Then
               Begin
               B  := 13.45;
               L2 := -144.8;
               Country := 'Guam';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'KG6R' Then
               Begin
               B  := 12;
               L2 := -154;
               Country := 'Mariana Isl.';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'KH0' Then
               Begin
               B  := 12;
               L2 := -154;
               Country := 'Mariana Isl.';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'KH6' Then
               Begin
               B  := 19.5;
               L2 := 155.5;
               Country := 'Hawaii';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'KJ6' Then
               Begin
               B  := 16.75;
               L2 := 169.55;
               Country := 'Johnston Isl.';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'KH3' Then
               Begin
               B  := 16.75;
               L2 := 169.55;
               Country := 'Johnston Isl.';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'KL7' Then
               Begin
               B  := 65;
               L2 := 153;
               Country := 'Alaska';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'KM6' Then
               Begin
               B  := 28.2;
               L2 := 177.25;
               Country := 'Midway Isl.';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KH4' Then
               Begin
               B  := 28.2;
               L2 := 177.25;
               Country := 'Midway Isl.';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KP4' Then
               Begin
               B  := 18.25;
               L2 := 66.5;
               Country := 'Puerto Rico';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'KP6' Then
               Begin
               B  := 6.4;
               L2 := 166.4;
               Country := 'Kingman Reef';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'KH5K' Then
               Begin
               B  := 6.4;
               L2 := 166.4;
               Country := 'Kingman Reef';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'KH5' Then
               Begin
               B  := 5.85;
               L2 := 162.1;
               Country := 'Palmyra, Jarvis Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'KS4' Then
               Begin
               B  := 14.4;
               L2 := 80.2;
               Country := 'Serrana Bank';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'KV4' Then
               Begin
               B  := 18.3;
               L2 := 64.7;
               Country := 'Virgin Isl.';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'KP2' Then
               Begin
               B  := 18.3;
               L2 := 64.7;
               Country := 'Virgin Isl.';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'KW6' Then
               Begin
               B  := 19.3;
               L2 := -166.6;
               Country := 'Wake Island';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'KH9' Then
               Begin
               B  := 19.3;
               L2 := -166.6;
               Country := 'Wake Island';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'KX6' Then
               Begin
               B  := 13;
               L2 := -165;
               Country := 'Marshall Isl.';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'KZ' Then
               Begin
               B  := 9.2;
               L2 := 79.8;
               Country := 'Canal Zone';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'KS6' Then
               Begin
               B  := -14.3;
               L2 := 170.0;
               Country := 'American Samoa';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KH8' Then
               Begin
               B  := -14.3;
               L2 := 170.0;
               Country := 'American Samoa';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'KH7' Then
               Begin
               B  := 28.4;
               L2 := 178.8;
               Country := 'Kuri Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'KP5' Then
               Begin
               B  := 18.3;
               L2 := 67.5;
               Country := 'Desecheo Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'LA' Then
               Begin
               B  := 62;
               L2 := -10;
               Country := 'Norway; LA-LJ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'LU' Then
               Begin
               B  := -34;
               L2 := 64;
               Country := 'Argentina';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'LX' Then
               Begin
               B  := 49.75;
               L2 := -6.1;
               Country := 'Luxumbourg';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'LZ' Then
               Begin
               B  := 43;
               L2 := -25;
               Country := 'Bulgaria';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'OA' Then
               Begin
               B  := -10;
               L2 := 76;
               Country := 'Peru';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'OD' Then
               Begin
               B  := 34;
               L2 := -36;
               Country := 'Lebanon';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'OE' Then
               Begin
               B  := 47.3;
               L2 := -13.3;
               Country := 'Austria';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'OH' Then
               Begin
               B  := 64;
               L2 := -26;
               Country := 'Finland';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'OH0' Then
               Begin
               B  := 60.25;
               L2 := -20;
               Country := 'Aland Isl.';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'OJ0' Then
               Begin
               B  := 60.3;
               L2 := -19.5;
               Country := 'Market Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'OK' Then
               Begin
               B  := 49.5;
               L2 := -17;
               Country := 'Czechoslovakia';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'ON' Then
               Begin
               B  := 50.8;
               L2 := -4;
               Country := 'Belgium';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'OX' Then
               Begin
               B  := 71;
               L2 := 40;
               Country := 'Greenland : (Also XP)';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'XP' Then
               Begin
               B  := 71;
               L2 := 40;
               Country := 'Greenland';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'OY' Then
               Begin
               B  := 62;
               L2 := 7;
               Country := 'Faroe Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'OZ' Then
               Begin
               B  := 56;
               L2 := -10;
               Country := 'Denmark';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'P2' Then
               Begin
               B  := -7;
               L2 := -147;
               Country := 'Papua New Guinea';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'PA' Then
               Begin
               B  := 52.25;
               L2 := -5.5;
               Country := 'Netherlands; PD,PE,PI';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'PJ' Then
               Begin
               B  := 12.25;
               L2 := 69;
               Country := 'Neth. Antilles:St Maarten 18.1,63.1';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'PY' Then
               Begin
               B  := -9;
               L2 := 53;
               Country := 'Brazil; PP-PY';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'PY0' Then
               Begin
               B  := -3.85;
               L2 := 32.45;
               Country := 'Fernando De Noronha:St Paul 1,30 Trinidad -22,31';
               Other_Stn_Time_Corr := -2;
               End
Else If Prefix = 'PZ' Then
               Begin
               B  := 5.5;
               L2 := 55;
               Country := '*Suriname';
               Other_Stn_Time_Corr := -3;
               End



Else    {Prefix not found}
  Begin
  Not_Found := True;
  Exit;
  End;



End; {Get_DX_Info1}
End. {Unit GetInfo1}