Unit GetInfo2; {                                   GetInfo2.pas
------------- }
{$N+}
{$E+}


Interface {
--------- }
Uses CRT,SysDD;

Procedure Get_DX_Info2;

Implementation {
-------------- }

Procedure Get_DX_Info2;


Begin {Get_DX_Info2}
Not_Found := False; {Initialize}


If Prefix = 'S2' Then   {DX Prefix MUST be entered in CAPS in here}
               Begin
               B  := 24;                     {DX Latitude}
               L2 := -90;                    {DX Longitude}
               Country := 'Bangladesh';      {DX Country}
               Other_Stn_Time_Corr := 6;     {DX Time Correction}
               End
Else If Prefix = 'S7' Then
               Begin
               B  := -4.5;
               L2 := -55.66;
               Country := 'Seychelles';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'S9'Then
               Begin
               B  := 1;
               L2 := -7;
               Country := 'Principe & Sao Tome';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CR5' Then
               Begin
               B  := 1;
               L2 := -7;
               Country := 'Principe & Sao Tome';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'SM' Then
               Begin
               B  := 62;
               L2 := -15;
               Country := 'Sweden; SJ-SM';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'SP' Then
               Begin
               B  := 52;
               L2 := -19;
               Country := 'Poland';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'ST' Then
               Begin
               B  := 15;
               L2 := 30;
               Country := 'Sudan; ST0 = S. Sudan';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'SU' Then
               Begin
               B  := 27;
               L2 := -30;
               Country := 'Egypt';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'SV' Then
               Begin
               B  := 39;
               L2 := -22;
               Country := 'Greece: SV9 = Crete 35.5,-24.7 ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'TA' Then
               Begin
               B  := 39;
               L2 := -35;
               Country := 'Turkey';
               Other_Stn_Time_Corr := 3 ;
               End
Else If Prefix = 'TF' Then
               Begin
               B  := 65;
               L2 := 18;
               Country := 'Iceland';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'TG' Then
               Begin
               B  := 14.6;
               L2 := 90.5;
               Country := 'Guatemala';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'TI' Then
               Begin
               B  := 10;
               L2 := 84;
               Country := 'Costa Rica';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'TI9' Then
               Begin
               B  := 6;
               L2 := 87.5;
               Country := 'Cocos Isl.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'TJ' Then
               Begin
               B  := 6;
               L2 := -12;
               Country := 'Cameroon';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TK' Then
               Begin
               B  := 42;
               L2 := -9;
               Country := 'Corsica';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TL' Then
               Begin
               B  := 7;
               L2 := -21;
               Country := 'Central African Republic';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TN' Then
               Begin
               B  := -1;
               L2 := -15;
               Country := 'Congo';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TR' Then
               Begin
               B  := -1;
               L2 := -11.75;
               Country := 'Gabon';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TT' Then
               Begin
               B  := 15;
               L2 := -19;
               Country := 'Chad';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TU' Then
               Begin
               B  := 8;
               L2 := 5;
               Country := 'Ivory Coast';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'TY' Then
               Begin
               B  := 6.3;
               L2 := -2.3;
               Country := 'Benin, Porto Novo';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'TZ' Then
               Begin
               B  := 16;
               L2 := 3.5;
               Country := 'Mali';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'UA1' Then
               Begin
               B  := 59;
               L2 := -31;
               Country := 'European USSR: Franz Josef Land 81,-55';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UA3' Then
               Begin
               B  := 56;
               L2 := -38;
               Country := 'European USSR';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UA6' Then
               Begin
               B  := 47;
               L2 := -43;
               Country := 'European USSR';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UN1' Then
               Begin
               B  := 65;
               L2 := -32;
               Country := 'European USSR';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UA2' Then
               Begin
               B  := 54.7;
               L2 := -20.5;
               Country := 'Kaliningradsk';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UA9' Then
               Begin
               B  := 55;
               L2 := -70;
               Country := 'Asiatic USSR';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'UA0' Then
               Begin
               B  := 52;
               L2 := -105;
               Country := 'Asiatic';
               Other_Stn_Time_Corr := 11;
               End
Else If Prefix = 'UB' Then
               Begin
               B  := 49;
               L2 := -32;
               Country := 'Ukraine';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UT' Then
               Begin
               B  := 49;
               L2 := -32;
               Country := 'Ukraine';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UY' Then
               Begin
               B  := 49;
               L2 := -32;
               Country := 'Ukraine';
               Other_Stn_Time_Corr := 3;
               End

Else If Prefix = 'UC' Then
               Begin
               B  := 53;
               L2 := -27;
               Country := 'White USSR, Byelorussia';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UD' Then
               Begin
               B  := 40.5;
               L2 := -47.5;
               Country := 'Azerbaijan';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'UF' Then
               Begin
               B  := 42;
               L2 := -44;
               Country := 'Georgia';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'UG' Then
               Begin
               B  := 40;
               L2 := 43;
               Country := 'Armenia';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'UH' Then
               Begin
               B  := 40;
               L2 := -60;
               Country := 'Turkmenistan';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'UI' Then
               Begin
               B  := 41;
               L2 := -64;
               Country := 'Uzbekistan';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'UJ' Then
               Begin
               B  := 39;
               L2 := -71;
               Country := 'Tadzhikistan';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'UL' Then
               Begin
               B  := 48;
               L2 := -68;
               Country := 'Kazakhstan';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'UM' Then
               Begin
               B  := 41.5;
               L2 := -75;
               Country := 'Kirghiz';
               Other_Stn_Time_Corr := 6;
               End
Else If Prefix = 'UO' Then
               Begin
               B  := 47;
               L2 := -29;
               Country := 'Moldavia';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UP' Then
               Begin
               B  := 56;
               L2 := -24;
               Country := 'Lithuania';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UQ' Then
               Begin
               B  := 57;
               L2 := -25;
               Country := 'Latvia';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UR' Then
               Begin
               B  := 59;
               L2 := -26;
               Country := 'Estonia';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'VE1' Then
               Begin
               B  := 47;
               L2 := 65;
               Country := 'New Brunswick';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VE2' Then
               Begin
               B  := 47;
               L2 := 72;
               Country := 'Quebec';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VE3' Then
               Begin
               B  := 45;
               L2 := 78;
               Country := 'Ontario';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'VE4' Then
               Begin
               B  := 50;
               L2 := 97;
               Country := 'Manitoba, Winnepeg';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'VE5' Then
               Begin
               B  := 52.5;
               L2 := 107;
               Country := 'Saskatchewan';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'VE6' Then
               Begin
               B  := 53;
               L2 := 113;
               Country := 'Alberta';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'VE7' Then
               Begin
               B  := 55;
               L2 := 124;
               Country := 'Br. Columbia';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'VE8' Then
               Begin
               B  := 65;
               L2 := 135;
               Country := 'Yukon';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'VO1' Then
               Begin
               B  := 48;
               L2 := 55;
               Country := '*Newfoundland';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'VO2' Then
               Begin
               B  := 54;
               L2 := 62;
               Country := '*Labrador';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = 'VK1' Then
               Begin
               B  := -35;
               L2 := -150;
               Country := 'Canberra';
               Other_Stn_Time_Corr := 8 ;
               End
Else If Prefix = 'VK2' Then
               Begin
               B  := -32;
               L2 := -148;
               Country := 'New S. Wales';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'VK3' Then
               Begin
               B  := -35;
               L2 := -145;
               Country := 'Victoria, Melbourne';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'VK4' Then
               Begin
               B  := -27.5;
               L2 := -153;
               Country := 'Queensland, Brisbane';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'VK5' Then
               Begin
               B  := -31;
               L2 := -136.5;
               Country := '*S Australia,Woomera';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'VK6' Then
               Begin
               B  := -32;
               L2 := -116;
               Country := 'W. Australia';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'VK7' Then
               Begin
               B  := -44;
               L2 := -147;
               Country := 'Tasmania, Hobart';
               Other_Stn_Time_Corr := 10;
               End
Else If Prefix = 'VK8' Then
               Begin
               B  := -12.5;
               L2 := -131;
               Country := '*N. Terr, Darwin';
               Other_Stn_Time_Corr := 9 ;
               End
Else If Prefix = 'VK9' Then
               Begin
               B  := -10.5;
               L2 := -105.65;
               Country := 'Christmas Isl., Plus others';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'VK0' Then
               Begin
               B  := -53;
               L2 := -75;
               Country := 'Heard Isl., Macquarie Isl -54.6,-158.9';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'VP1' Then
               Begin
               B  := 17.25;
               L2 := 88.75;
               Country := 'Belize';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'V3' Then
               Begin
               B  := 17.25;
               L2 := 88.75;
               Country := 'Belize';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'VP2E' Then
               Begin
               B  := 18.25;
               L2 := 63.10;
               Country := 'Anguilla';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2A' Then
               Begin
               B  := 17;
               L2 := 61.8;
               Country := 'Antigua & Barbuda';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'V2' Then
               Begin
               B  := 17;
               L2 := 61.8;
               Country := 'Antigua & Barbuda';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2V' Then
               Begin
               B  := 18.5;
               L2 := 64.5;
               Country := 'Br. Virgin Isl.';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2D' Then
               Begin
               B  := 15.5;
               L2 := 61.35;
               Country := 'Dominica';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2M' Then
               Begin
               B  := 16.75;
               L2 := 62.2;
               Country := 'Montserrat';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2K' Then
               Begin
               B  := 17.3;
               L2 := 62.75;
               Country := 'ST Christopher & Nevis';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'V4' Then
               Begin
               B  := 17.3;
               L2 := 62.75;
               Country := 'ST Christopher & Nevis';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2L' Then
               Begin
               B  := 14;
               L2 := 61;
               Country := 'St Lucia';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP2S' Then
               Begin
               B  := 13.1;
               L2 := 61.15;
               Country := 'St Vincent';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP5' Then
               Begin
               B  := 21.75;
               L2 := 71.6;
               Country := 'Turks & Caicos Isl,';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP8' Then
               Begin
               B  := -51.75;
               L2 := 59;
               Country := 'Falkland';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VP9' Then
               Begin
               B  := 32.35;
               L2 := 64.75;
               Country := 'Bermuda';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'VQ9' Then
               Begin
               B  := -6;
               L2 := -72;
               Country := 'Chagos Isl.';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'VR1' Then
               Begin
               B  := -4;
               L2 := -172;
               Country := 'Phoenix Isl.,Gilbert -.5, -174';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'T31' Then
               Begin
               B  := -4;
               L2 := -172;
               Country := 'Phoenix Isl.';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'T30' Then
               Begin
               B  := -5;
               L2 := -174;
               Country := 'Gilbert Isl.; W Kiribati';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'VR3' Then
               Begin
               B  := 0.0;
               L2 := 157;
               Country := 'Line Isl';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'VR7' Then
               Begin
               B  := 0.0;
               L2 := 157;
               Country := 'Line Isl,';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'VR6' Then
               Begin
               B  := -25.1;
               L2 := 130.1;
               Country := '*Pitcairn Isl.';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'VR8' Then
               Begin
               B  := -8;
               L2 := -178;
               Country := 'Tuvalu';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'VS5' Then
               Begin
               B  := 4.8;
               L2 := -114.9;
               Country := 'Brunei';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'VS6' Then
               Begin
               B  := 22.25;
               L2 := -114.2;
               Country := 'Hong Kong';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'VS9K' Then
               Begin
               B  := 15.35;
               L2 := -42.6;
               Country := 'Kamaran Isl.';
               Other_Stn_Time_Corr := 4 ;
               End
Else If Prefix = 'VU7' Then
               Begin
               B  := 12;
               L2 := -93;
               Country := '*Andaman & Nicobar Isl.';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'VU' Then
               Begin
               B  := 20;
               L2 := -80;
               Country := '*India';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'VY0' Then
               Begin
               B  := 47.2;
               L2 := 60.2;
               Country := 'St Paul Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'XE' Then
               Begin
               B  := 23;
               L2 := 102;
               Country := 'Mexico ';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'XF4' Then
               Begin
               B  := 19;
               L2 := 111.5;
               Country := 'Revilla Gigedo ';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'XP' Then
               Begin
               B  := 71;
               L2 := 40;
               Country := 'Greenland : (Also OX)';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'XT' Then
               Begin
               B  :=12 ;
               L2 := 2;
               Country := 'Voltaic Rep.; Burkina Faso ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'XX9' Then
               Begin
               B  := 22.15;
               L2 := -113.6;
               Country := 'Macao';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'CR9' Then
               Begin
               B  := 22.15;
               L2 := -113.6;
               Country := 'Macao';
               Other_Stn_Time_Corr := 8;
               End

Else If Prefix = 'XU' Then
               Begin
               B  := 13;
               L2 := -105;
               Country := ' Cambodia or Kampuchea';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'XV' Then
               Begin
               B  := 13;
               L2 := -108;
               Country := ' Vietnam';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'XW' Then
               Begin
               B  := 18;
               L2 := -105;
               Country := 'Laos ';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'XZ' Then
               Begin
               B  := 22;
               L2 := -98;
               Country := '*Burma ';
               Other_Stn_Time_Corr := 6;
               End
Else If Prefix = 'YA' Then
               Begin
               B  := 34;
               L2 := -66;
               Country := '*Afghanistan';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = 'YB' Then
               Begin
               B  := -6.15;
               L2 := -106.8;
               Country := '*Indonesia; YB -YD' ;
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'YC' Then
               Begin
               B  := -6.15;
               L2 := -106.8;
               Country := '*Indonesia ';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = 'YI' Then
               Begin
               B  := 33;
               L2 := -44;
               Country := 'Iraq ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'YJ' Then
               Begin
               B  := -16;
               L2 := -167;
               Country := 'Vanuatu ';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = 'YK' Then
               Begin
               B  := 35;
               L2 := -38;
               Country := 'Syria ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'YN' Then
               Begin
               B  := 13;
               L2 := 85;
               Country := 'Nicaragua ';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'HT' Then
               Begin
               B  := 13;
               L2 := 85;
               Country := 'Nicaragua ';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'YO' Then
               Begin
               B  := 46;
               L2 := -25.5;
               Country := 'Romania ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'YS' Then
               Begin
               B  := 13.8;
               L2 := 88.9;
               Country := 'El Salvador ';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'YU' Then
               Begin
               B  := 44;
               L2 := -19;
               Country := 'Yugoslavia ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'YV' Then
               Begin
               B  := 8;
               L2 := 66;
               Country := 'Venezuela ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'YV0' Then
               Begin
               B  := 12;
               L2 := 65;
               Country := 'Aves Isl. ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'ZA' Then
               Begin
               B  := 41;
               L2 := -20;
               Country := 'Albania ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'ZB' Then
               Begin
               B  := 36.2;
               L2 := 5.36;
               Country := 'Gibraltar ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'ZD7' Then
               Begin
               B  := -15.9;
               L2 := 5.7;
               Country := 'St Helena ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'ZD8' Then
               Begin
               B  := -7.9;
               L2 := 14.3;
               Country := 'Ascension Isl. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'ZD9' Then
               Begin
               B  := -37;
               L2 := 12;
               Country := 'Tristan De Cuhna & Gough Isl. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'ZF' Then
               Begin
               B  := 19.5;
               L2 := 80.5;
               Country := 'Cayman Isl. ';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'ZK1' Then
               Begin
               B  := -20;
               L2 := 158;
               Country := '*S. Cook Isl., N. Cook Isl. -10.5, 161.5 ';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'ZK2' Then
               Begin
               B  := -19;
               L2 := 169.85;
               Country := 'Niue ';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'ZL' Then
               Begin
               B  := -41;
               L2 := -175;
               Country := 'New Zealand ';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'ZL7' Then
               Begin
               B  := -44;
               L2 := -176;
               Country := 'Chatham Isl.';
               Other_Stn_Time_Corr := 13;
               End
Else If Prefix = 'ZL8' Then
               Begin
               B  := -30;
               L2 := -178;
               Country := 'Kermadec Isl.';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'ZL9' Then
               Begin
               B  := -52.5;
               L2 := -169;
               Country := 'Auckland Isl.';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'Z2' Then
               Begin
               B  := -20;
               L2 := -30;
               Country := 'Zimbabwe ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'ZM7' Then
               Begin
               B  := -9;
               L2 := 171.75;
               Country := 'Tokelau Isl. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'ZK3' Then
               Begin
               B  := -9;
               L2 := 171.75;
               Country := 'Tokelau Isl. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'ZP' Then
               Begin
               B  := -23;
               L2 := 58;
               Country := 'Paraguay ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'ZS' Then
               Begin
               B  := -30;
               L2 := -25;
               Country := 'S. Africa: ZS1,2,4,5,6 ';
               Other_Stn_Time_Corr := 2;
               End

Else If Prefix = 'ZS2' Then
               Begin
               B  := -46.8;
               L2 := -37.8;
               Country := 'Marion Isl. ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'ZS3' Then
               Begin
               B  := -22.5;
               L2 := -17;
               Country := 'Namibia ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = 'FS' Then
               Begin
               B  := 18.1;
               L2 := 63.1;
               Country := 'Saint Martin (Also FG';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'HM' Then
               Begin
               B  := 37.5;
               L2 := -126.9;
               Country := 'Korea | also HM';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'IM' Then
               Begin
               B  := 40;
               L2 := -9;
               Country := 'Sardina';
               Other_Stn_Time_Corr := 1;
               End



Else    {Prefix not found}
  Begin
  Not_Found := True;
  Exit;
  End;



End; {Get_DX_Info2}
End. {Unit GetInfo2}