Unit GetInfo3; {                                      GetInfo3.pas
------------- }

{ This UNIT contains city information and should be used to add
   any NEW DX prefixes.  Don't enter new Prefix info in GETINFO1
   or GETINFO2, since these are quite large already & you can get
   a Pascal compiler error if they get too big }


{$N+}
{$E+}


Interface {
--------- }
Uses CRT,SysDD;

Procedure Get_DX_Info3;

Implementation {
-------------- }

Procedure Get_DX_Info3;


Begin {Get_DX_Info3}
Not_Found := False; {Initialize}

If      Prefix = 'FORT SMITH' Then { Prefix/City MUST be entered in CAPS here}
               Begin
               B  := 34.73;                            { Latitude}
               L2 := 92.29;                            { Longitude}
               Country := 'Fort Smith, AR';       { City}
               Other_Stn_Time_Corr := -5;          { Time Correction}
               End

Else If Prefix = 'HARTFORD' Then    {State-side cities can also be enter vs Prefix}
               Begin
               B  := 41.8;
               L2 := 72.7;
               Country := 'Hartford, Conn';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'BANGOR' Then
               Begin
               B  := 44.8;
               L2 := 68.8;
               Country := 'Bangor, Maine';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'BOSTON' Then
               Begin
               B  := 42.4;
               L2 := 71.1;
               Country := 'Boston, Mass.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CONCORD' Then
               Begin
               B  := 43.2;
               L2 := 71.5;
               Country := 'Concord, N.H.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'PROVIDENCE' Then
               Begin
               B  := 41.8;
               L2 := 71.4;
               Country := 'Providence, R.I.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'NEW YORK' Then
               Begin
               B  := 40.8;
               L2 := 74.0;
               Country := 'New York, N.Y.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'SYRACUSE' Then
               Begin
               B  := 43.1;
               L2 := 76.2;
               Country := 'Syracuse, N.Y.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'WILMINGTON' Then
               Begin
               B  := 39.7;
               L2 := 75.5;
               Country := 'Wilmington, Del.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'WASHINGTON DC' Then
               Begin
               B  := 38.9;
               L2 := 77.0;
               Country := 'Washington,DC';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'BALTIMORE' Then
               Begin
               B  := 39.3;
               L2 := 76.6;
               Country := 'Baltimore, Maryland';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'HARRISBURG' Then
               Begin
               B  := 40.3;
               L2 := 76.9;
               Country := 'Harrisburg, Penn';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'PHILADELPHIA' Then
               Begin
               B  := 39.9;
               L2 := 75.2;
               Country := 'Philadelphia, Penn.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'PITTSBURG' Then
               Begin
               B  := 40.4;
               L2 := 80.0;
               Country := 'Pittsburg, Penn.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'SCRANTON' Then
               Begin
               B  := 41.4;
               L2 := 75.7;
               Country := 'Scranton, Penn';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'MONTGOMERY' Then
               Begin
               B  := 32.4;
               L2 := 86.3;
               Country := 'Montgomery, Ala.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'JACKSONVILLE' Then
               Begin
               B  := 30.3;
               L2 := 81.7;
               Country := 'Jacksonville,Fla.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'MIAMI' Then
               Begin
               B  := 25.8;
               L2 := 80.2;
               Country := 'Miami,Fla.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'PENSACOLA' Then
               Begin
               B  := 30.4;
               L2 := 87.2;
               Country := 'Pensacola, Fla.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'ATLANTA' Then
               Begin
               B  := 33.8;
               L2 := 84.4;
               Country := 'Atlanta, Ga';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'SAVANNAH' Then
               Begin
               B  := 32.1;
               L2 := 81.1;
               Country := 'Savannah, Ga';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'LEXINGTON' Then
               Begin
               B  := 38.0;
               L2 := 84.5;
               Country := 'Lexington, Ke';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'LOUISVILLE' Then
               Begin
               B  := 38.2;
               L2 := 85.8;
               Country := 'Louisville, Ke';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CHARLOTTE' Then
               Begin
               B  := 35.2;
               L2 := 80.8;
               Country := 'Charlotte, NC';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'RALEIGH' Then
               Begin
               B  := 35.8;
               L2 := 78.6;
               Country := 'Raleigh, NC';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'COLUMBIA' Then
               Begin
               B  := 34.0;
               L2 := 81.0;
               Country := 'Columbia, SC';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'KNOXVILLE' Then
               Begin
               B  := 36.0;
               L2 := 81.9;
               Country := 'Knoxville, Tenn';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'MEMPHIS' Then
               Begin
               B  := 35.1;
               L2 := 90.1;
               Country := 'Memphis, Tenn';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'NASHVILLE' Then
               Begin
               B  := 36.2;
               L2 := 86.8;
               Country := 'Nashville, Tenn';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'NORFOLK' Then
               Begin
               B  := 36.9;
               L2 := 76.3;
               Country := 'Norfolk, Va';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'RICHMOND' Then
               Begin
               B  := 37.5;
               L2 := 77.4;
               Country := 'Richmond, Va';
               Other_Stn_Time_Corr := -5;End
Else If Prefix = 'LITTLE ROCK' Then
               Begin
               B  := 34.7;
               L2 := 92.3;
               Country := 'Litle Rock, Ark';
               Other_Stn_Time_Corr := -6;End
Else If Prefix = 'NEW ORLEANS' Then
               Begin
               B  := 29.9;
               L2 := 90.1;
               Country := 'New Orleans, La';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'SHREVEPORT' Then
               Begin
               B  := 32.5;
               L2 := 93.7;
               Country := 'Shreveport, La';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'JACKSON' Then
               Begin
               B  := 32.3;
               L2 := 90.2;
               Country := 'Jackson, Miss';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'ALBUQUERQUE' Then
               Begin
               B  := 35.1;
               L2 := 106.7;
               Country := 'Albuquerque, NM';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'OKLAHOMA CITY' Then
               Begin
               B  := 35.5;
               L2 := 97.5;
               Country := 'Oklahoma City, Okla.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'ABILENE' Then
               Begin
               B  := 32.5;
               L2 := 99.7;
               Country := 'Abilene, Texas';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'AMARILLO' Then
               Begin
               B  := 35.2;
               L2 := 101.8;
               Country := 'Amarillo, Tx';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'DALLAS' Then
               Begin
               B  := 32.8;
               L2 := 96.8;
               Country := 'Dallas,Tx';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'EL PASO' Then
               Begin
               B  := 31.8;
               L2 := 106.5;
               Country := 'El Paso, Tx';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'SAN ANTONIO' Then
               Begin
               B  := 29.4;
               L2 := 98.5;
               Country := 'San Antonio, Tx';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'LOS ANGELES' Then
               Begin
               B  := 34.1;
               L2 := 118.2;
               Country := 'Los Angeles, Ca';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'SAN FRANCISCO' Then
               Begin
               B  := 37.8;
               L2 := 122.4;
               Country := 'San Francisco,Ca';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'FLAGSTAFF' Then
               Begin
               B  := 35.2;
               L2 := 111.7;
               Country := 'Flagstaff, Ariz';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'PHOENIX' Then
               Begin
               B  := 33.5;
               L2 := 112.1;
               Country := 'Phoenix, Ariz.';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'BOISE' Then
               Begin
               B  := 43.6;
               L2 := 116.2;
               Country := 'Boise, ID';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'GREAT FALLS' Then
               Begin
               B  := 47.5;
               L2 := 111.3;
               Country := 'Great Falls, Mont.';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'LAS VEGAS' Then
               Begin
               B  := 36.2;
               L2 := 115.1;
               Country := 'Las Vegas, Nev.';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'RENO' Then
               Begin
               B  := 39.5;
               L2 := 119.8;
               Country := 'Reno, Nev.';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'PORTLAND' Then
               Begin
               B  := 45.5;
               L2 := 122.7;
               Country := 'Portland, Ore.';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'SALT LAKE' Then
               Begin
               B  := 40.8;
               L2 := 111.9;
               Country := 'Salt Lake, Utah';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'SEATTLE' Then
               Begin
               B  := 47.6;
               L2 := 122.3;
               Country := 'Seattle, Wash';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'SPOKANE' Then
               Begin
               B  := 47.7;
               L2 := 117.4;
               Country := 'Spokane, Wash.';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'CHEYENNE' Then
               Begin
               B  := 41.1;
               L2 := 104.8;
               Country := 'Cheyenne, Wyoming';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'SHERIDAN' Then
               Begin
               B  := 44.8;
               L2 := 107.0;
               Country := 'Sheridan, WY';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'DETROIT' Then
               Begin
               B  := 42.3;
               L2 := 83.0;
               Country := 'Detroit, Mi';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CLEVELAND' Then
               Begin
               B  := 41.5;
               L2 := 81.7;
               Country := 'Cleveland, Ohio';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CHARLESTON' Then
               Begin
               B  := 38.4;
               L2 := 81.6;
               Country := 'Charleston,W Va';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'CHICAGO' Then
               Begin
               B  := 41.9;
               L2 := 87.6;
               Country := 'Chicago, Ill.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'INDIANAPOLIS' Then
               Begin
               B  := 39.8;
               L2 := 86.2;
               Country := 'Indianapolis, Ind.';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'MILWAUKEE' Then
               Begin
               B  := 43.0;
               L2 := 87.9;
               Country := 'Milwaukee, Wis.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'DENVER' Then
               Begin
               B  := 39.7;
               L2 := 105.0;
               Country := 'Denver, Col.';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'GRAND JUNCTION' Then
               Begin
               B  := 39.1;
               L2 := 108.6;
               Country := 'Grand Junction, Col.';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'DES MOINES' Then
               Begin
               B  := 41.6;
               L2 := 93.6;
               Country := 'Des Moines, Iowa';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'WICHITA' Then
               Begin
               B  := 37.7;
               L2 := 97.3;
               Country := 'Wichita, Kan.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'DULUTH' Then
               Begin
               B  := 46.8;
               L2 := 92.1;
               Country := 'Duluth, Minn.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'MINNEAPOLIS' Then
               Begin
               B  := 45.0;
               L2 := 93.3;
               Country := 'Minneapolis, Minn.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'KANSAS CITY' Then
               Begin
               B  := 39.1;
               L2 := 94.6;
               Country := 'Kansas City, Mo';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'OMAHA' Then
               Begin
               B  := 41.3;
               L2 := 95.9;
               Country := 'Omaha, Neb.';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = 'FARGO' Then
               Begin
               B  := 46.9;
               L2 := 96.8;
               Country := 'Fargo, ND';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'RAPID CITY' Then
               Begin
               B  := 44.1;
               L2 := 103.2;
               Country := 'Rapid City, SD';
               Other_Stn_Time_Corr := -7;
               End
Else If Prefix = 'ANCHORAGE' Then
               Begin
               B  := 60.25;
               L2 := 145.92;
               Country := 'Anchorage ';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'SAN DIEGO' Then
               Begin
               B  := 32.72;
               L2 := 117.14;
               Country := 'San Diego ';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'SACRAMENTO' Then
               Begin
               B  := 38.64;
               L2 := 121.45;
               Country := 'Sacramento ';
               Other_Stn_Time_Corr := -8;
               End
Else If Prefix = 'JACKSONVILLE' Then
               Begin
               B  := 30.33;
               L2 := 81.67;
               Country := 'Jacksonville ';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = 'TRAVERSE CITY' Then
               Begin
               B  := 44.75;
               L2 := 85.64;
               Country := 'Traverse City, Mich ';
               Other_Stn_Time_Corr := -6;
               End
Else If Prefix = '1S' Then
               Begin
               B  := 8.63;
               L2 := -111.9;
               Country := 'Spratley ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3A' Then
               Begin
               B  := 43.7;
               L2 := -7.4;
               Country := 'Monaco ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '3B6' Then
               Begin
               B  := -10.4;
               L2 := -56.6;
               Country := 'St. Brandon & Agalega ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3B7' Then
               Begin
               B  := -10.4;
               L2 := -56.6;
               Country := 'St. Brandon & Agalega ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3B8' Then
               Begin
               B  := -20.5;
               L2 := -58;
               Country := 'Mauritius ';
               Other_Stn_Time_Corr := 4;
               End
Else If Prefix = '3B9' Then
               Begin
               B  := -19.7;
               L2 := -63.4;
               Country := 'Rodiguez Isl,';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3C' Then
               Begin
               B  := 2;
               L2 := -9;
               Country := 'Equatorial Guinea ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '3C0' Then
               Begin
               B  := -1.4;
               L2 := -5.6;
               Country := 'Annobon  or Pagalu Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3D2' Then
               Begin
               B  := -17;
               L2 := -178;
               Country := 'Fiji ';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = '3D6' Then
               Begin
               B  := -27;
               L2 := -32;
               Country := 'Swaziland ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '3DA0' Then
               Begin
               B  := -27;
               L2 := -32;
               Country := 'Swaziland ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '3V' Then
               Begin
               B  := 35;
               L2 := -10;
               Country := 'Tunisia ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '3W' Then
               Begin
               B  := 13;
               L2 := -108;
               Country := ' Vietnam';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = '3X' Then
               Begin
               B  := 11;
               L2 := 10;
               Country := 'Rep. of Guinea ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '3Y' Then
               Begin
               B  := -54.45;
               L2 := -3.4;
               Country := 'Bouvet; also Peter Isl. Antarctic ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '4S' Then
               Begin
               B  := 7;
               L2 := -81;
               Country := '*Sri Lanka ';
               Other_Stn_Time_Corr := 5 ;
               End
Else If Prefix = '4U' Then
               Begin
               B  := 41.2;
               L2 := -6.15;
               Country := 'Geneva ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '4W' Then
               Begin
               B  := 15;
               L2 := -44;
               Country := 'Yemen ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '4X' Then
               Begin
               B  := 32;
               L2 := -35;
               Country := 'Israel ';
               Other_Stn_Time_Corr := 2 ;
               End
Else If Prefix = '4Z' Then
               Begin
               B  := 32;
               L2 := -35;
               Country := 'Israel ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '5A' Then
               Begin
               B  := 32.5;
               L2 := -13;
               Country := 'Libya ';
               Other_Stn_Time_Corr := 2 ;
               End
Else If Prefix = '5B' Then
               Begin
               B  := 35;
               L2 := -33;
               Country := 'Cyprus ';
               Other_Stn_Time_Corr := 2 ;
               End
Else If Prefix = '5H' Then
               Begin
               B  := -7;
               L2 := -38;
               Country := 'Tanzania ';
               Other_Stn_Time_Corr :=  3;
               End
Else If Prefix = '5N' Then
               Begin
               B  := 7;
               L2 := -5;
               Country := 'Nigeria ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '5R' Then
               Begin
               B  := -19;
               L2 := -47.5;
               Country := 'Madagascar ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '5T' Then
               Begin
               B  := 18;
               L2 := 15;
               Country := 'Mauritania ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '5U' Then
               Begin
               B  := 15;
               L2 := -7;
               Country := 'Niger Rep. ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '5V' Then
               Begin
               B  := 7;
               L2 := 1.5;
               Country := 'Togo Rep. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '5W' Then
               Begin
               B  := -13.9;
               L2 := 172;
               Country := 'W. Samoa ';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = '5X' Then
               Begin
               B  := 5;
               L2 := -32;
               Country := 'Uganda ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '5Z' Then
               Begin
               B  := -2.5;
               L2 := -38;
               Country := 'Kenya ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '6O' Then
               Begin
               B  := 2.5;
               L2 := -46;
               Country := 'Somali ';
               Other_Stn_Time_Corr := 3 ;
               End
Else If Prefix = '6W' Then
               Begin
               B  := 14.5;
               L2 := 17;
               Country := 'Senegal Rep. ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '6Y' Then
               Begin
               B  := 18.25;
               L2 := 77.3;
               Country := 'Jamaica ';
               Other_Stn_Time_Corr := -5;
               End
Else If Prefix = '7O' Then
               Begin
               B  := 12.75;
               L2 := -45.2;
               Country := 'S. Yemen ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '7P' Then
               Begin
               B  := -29;
               L2 := -28;
               Country := 'Lesotho ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '7Q' Then
               Begin
               B  := -15;
               L2 := -35;
               Country := 'Malawi ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '7X' Then
               Begin
               B  := 36.5;
               L2 := -2.5;
               Country := 'Algeria ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '7Z' Then
               Begin
               B  := 25;
               L2 := -45;
               Country := 'Saudi Arabia | also 7Z';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '8P' Then
               Begin
               B  := 13.15;
               L2 := 59.55;
               Country := 'Barbados ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = '8Q' Then
               Begin
               B  := 3.25;
               L2 := -73;
               Country := 'Maldive Isl. ';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'VS9' Then
               Begin
               B  := 3.25;
               L2 := -73;
               Country := 'Maldive Isl. ';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = '8R' Then
               Begin
               B  := 5;
               L2 := 59;
               Country := 'Guyana ';
               Other_Stn_Time_Corr := -3;
               End
Else If Prefix = '8Z4' Then
               Begin
               B  := 28;
               L2 := -46;
               Country := 'Saudi Arabia/Iraq N. Zone ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '9A' Then
               Begin
               B  := 43.9;
               L2 := -12.4;
               Country := 'San Marino ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = 'T77' Then
               Begin
               B  := 43.9;
               L2 := -12.4;
               Country := 'San Marino ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '9G' Then
               Begin
               B  := 6;
               L2 := 1;
               Country := 'Ghana ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '9H' Then
               Begin
               B  := 35.8;
               L2 := -14.6;
               Country := 'Malta ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '9J' Then
               Begin
               B  := -15;
               L2 := -28;
               Country := 'Zambia ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '9K' Then
               Begin
               B  := 29.5;
               L2 := -47.8;
               Country := 'Kuwait ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = '9L' Then
               Begin
               B  := 8;
               L2 := 12;
               Country := 'Sierra Leone ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = '9M2' Then
               Begin
               B  := 3;
               L2 := -102;
               Country := '*W. Malaysia ';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = '9M6' Then
               Begin
               B  := 6;
               L2 := -116;
               Country := '*E. Malaysia ';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = '9M8' Then
               Begin
               B  := 6;
               L2 := -116;
               Country := '*E. Malaysia ';
               Other_Stn_Time_Corr := 8;
               End
Else If Prefix = '9N' Then
               Begin
               B  := 28;
               L2 := -84;
               Country := 'Nepal ';
               Other_Stn_Time_Corr := 6;
               End
Else If Prefix = '9Q' Then
               Begin
               B  := -5;
               L2 := -22;
               Country := 'Zaire ';
               Other_Stn_Time_Corr := 1;
               End
Else If Prefix = '9U' Then
               Begin
               B  := -3;
               L2 := -30;
               Country := 'Burundi ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '9V' Then
               Begin
               B  := 1.35;
               L2 := -103.8;
               Country := '*Singapore ';
               Other_Stn_Time_Corr := 7;
               End
Else If Prefix = '9X' Then
               Begin
               B  := -2.5;
               L2 := -30;
               Country := 'Rwanda ';
               Other_Stn_Time_Corr := 2;
               End
Else If Prefix = '9Y' Then
               Begin
               B  := 11;
               L2 := 62;
               Country := 'Trinidad & Tobago ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'J2' Then
               Begin
               B  := 27.5;
               L2 := -50;
               Country := 'Trinidad & Tobago ';
               Other_Stn_Time_Corr := -4;
               End

Else If Prefix = 'T30' Then
               Begin
               B  := -5;
               L2 := -175;
               Country := 'W.Kiribati/Gilbert & Ocean Isl. ';
               Other_Stn_Time_Corr := 12;
               End
Else If Prefix = 'T32' Then
               Begin
               B  := -10;
               L2 := 150;
               Country := 'E. Kiribati/Line Isl. ';
               Other_Stn_Time_Corr := -10;
               End
Else If Prefix = 'T31' Then
               Begin
               B  := -4;
               L2 := 171;
               Country := 'C. Kirabati ';
               Other_Stn_Time_Corr := -11;
               End
Else If Prefix = 'UW' Then
               Begin
               B  := 55.75;
               L2 := -37.58;
               Country := 'USSR: UW1-6 European | Also Asiatic;  See UW9 ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'UW9' Then
               Begin
               B  := 63;
               L2 := -145;
               Country := 'USSR: Asiatic ';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'UV' Then
               Begin
               B  := 55.75;
               L2 := -37.58;
               Country := 'USSR:  European | Also Asiatic; See UW9';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FT8W' Then
               Begin
               B  := -46;
               L2 := -52;
               Country := 'Crozet Isl. ';
               Other_Stn_Time_Corr := 3;
               End
Else If Prefix = 'FT8X' Then
               Begin
               B  := -50;
               L2 := -70;
               Country := 'Kerguelen Isl. ';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'FT8Z' Then
               Begin
               B  := -37.8;
               L2 := -77.5;
               Country := 'Amsterdam Isl. ';
               Other_Stn_Time_Corr := 5;
               End
Else If Prefix = 'J5' Then
               Begin
               B  := 12;
               L2 := 15;
               Country := 'Guinea-Bissau ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'CR3' Then
               Begin
               B  := 12;
               L2 := 15;
               Country := 'Guinea-Bissau ';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'J6' Then
               Begin
               B  := 14;
               L2 := 61;
               Country := 'St. Lucia ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'J7' Then
               Begin
               B  := 15.4;
               L2 := 61.3;
               Country := 'Dominica ';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'J8' Then
               Begin
               B  := 13.1;
               L2 := 61.15;
               Country := 'St Vincent';
               Other_Stn_Time_Corr := -4;
               End
Else If Prefix = 'JD1' Then
               Begin
               B  := 27;
               L2 := -141;
               Country := 'Ogasawara ';
               Other_Stn_Time_Corr := 9;
               End
Else If Prefix = 'FJ'Then
               Begin
               B  := 18.1;
               L2 := 63.1;
               Country := 'Bartheleny Isl.';
               Other_Stn_Time_Corr := 0;
               End
Else If Prefix = 'UZ'Then
               Begin
               B  := 55.75;
               L2 := -37.58;
               Country := ('USSR: European| also Asiatic; See UW9');
               Other_Stn_Time_Corr := 3;
               End

Else    {Prefix not found}
  Begin
  Not_Found := True;
  Exit;
  End;



End; {Get_DX_Info3}
End. {Unit GetInfo3}